## org.eclipse.amp.amf.testing.ide
Class ExecuteTestHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.amp.amf.testing.ide.ExecuteTestHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

Direct Known Subclasses:
  ExecuteTestHandler5, ExecuteTestHandlerOther

    public class ExecuteTestHandler

extends org.eclipse.core.commands.AbstractHandler

The Class ExecuteParameterTestHandler.

Constructor Summary
`ExecuteTestHandler()`

Method Summary
`java.lang.Object` `execute(org.eclipse.core.commands.ExecutionEvent event)`
`int` `getRunsPerTest()`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, isEnabled, isHandled, removeHandlerListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecuteTestHandler

    public ExecuteTestHandler()

Method Detail

### execute

    public java.lang.Object execute(org.eclipse.core.commands.ExecutionEvent event)
                             throws org.eclipse.core.commands.ExecutionException

  Parameters:
    `event` -
  Returns:
  Throws:
    `org.eclipse.core.commands.ExecutionException`
  See Also:
    `IHandler.execute(org.eclipse.core.commands.ExecutionEvent)`

### getRunsPerTest

    public int getRunsPerTest()